package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 对比规则配置对象 sys_hesuan_configuration
 * 
 * @author ruoyi
 * @date 2022-10-10
 */
public class SysHesuanConfiguration extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 部门id */
    private String deptId;

    /** 职业类别 */
    @Excel(name = "职业类别")
    private String jobStyle;

    /** 重点人群分类 */
    @Excel(name = "重点人群分类")
    private String focusCrowdStyle;

    /** 检测频次（次数） */
    @Excel(name = "检测频次", readConverterExp = "次=数")
    private String detectionNumber;

    /** 检测频次（时间间隔，天） */
    @Excel(name = "检测频次", readConverterExp = "时=间间隔，天")
    private String detectionScope;

    private List<String> deptIdList;

    public List<String> getDeptIdList() {
        return deptIdList;
    }

    public void setDeptIdList(List<String> deptIdList) {
        this.deptIdList = deptIdList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeptId(String deptId) 
    {
        this.deptId = deptId;
    }

    public String getDeptId() 
    {
        return deptId;
    }
    public void setJobStyle(String jobStyle) 
    {
        this.jobStyle = jobStyle;
    }

    public String getJobStyle() 
    {
        return jobStyle;
    }
    public void setFocusCrowdStyle(String focusCrowdStyle) 
    {
        this.focusCrowdStyle = focusCrowdStyle;
    }

    public String getFocusCrowdStyle() 
    {
        return focusCrowdStyle;
    }
    public void setDetectionNumber(String detectionNumber) 
    {
        this.detectionNumber = detectionNumber;
    }

    public String getDetectionNumber() 
    {
        return detectionNumber;
    }
    public void setDetectionScope(String detectionScope) 
    {
        this.detectionScope = detectionScope;
    }

    public String getDetectionScope() 
    {
        return detectionScope;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptId", getDeptId())
            .append("jobStyle", getJobStyle())
            .append("focusCrowdStyle", getFocusCrowdStyle())
            .append("detectionNumber", getDetectionNumber())
            .append("detectionScope", getDetectionScope())
            .toString();
    }
}
